%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 13;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check
%global debug_package %{nil}

%global crate proc-macro2

Name:           rust-proc-macro2-0.4
Version:        0.4.30
Release:    1%{?dist}
Summary:        Stable implementation of the upcoming new proc_macro API

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/proc-macro2
Source0:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
A stable implementation of the upcoming new `proc_macro` API. Comes with
an option, off by default, to also reimplement itself in terms of the
upstream unstable API.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+nightly-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+nightly-devel %{_description}

This package contains library source intended for building other packages which
use the "nightly" feature of the "%{crate}" crate.

%files       -n %{name}+nightly-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+proc-macro-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+proc-macro-devel %{_description}

This package contains library source intended for building other packages which
use the "proc-macro" feature of the "%{crate}" crate.

%files       -n %{name}+proc-macro-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+span-locations-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+span-locations-devel %{_description}

This package contains library source intended for building other packages which
use the "span-locations" feature of the "%{crate}" crate.

%files       -n %{name}+span-locations-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.30-1
- initial build
